Skip to content

Summary of plans​

GET
/users/{userid}/plans/summary

Gets a summary of plans for a user (already purchased or allocated)
This can list unused, and used plans with the consumed query parameter

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

userid*

User ID

Type
integer
Required

Query Parameters

consumed

Filter by plans that have already been consumed by devices or not

Type
boolean

Request example

Responses​

OK

application/json
JSON
[
  
{
  
  
"count": 0,
  
  
"plan": {
  
  
  
"description": "string",
  
  
  
"displayName": "string",
  
  
  
"features": "string",
  
  
  
"id": 0,
  
  
  
"name": "string",
  
  
  
"onoWhitelistId": 0,
  
  
  
"prices": {
  
  
  
  
"eur": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"gbp": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"tax": "[Circular Reference]",
  
  
  
  
"usd": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"sku": "string",
  
  
  
"sleepLimit": 0,
  
  
  
"wakeLimit": 0
  
  
},
  
  
"subscriptions": 0
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value